import ru.ifmo.validate.*;

public class Validate implements Validator {
    public static final int MAX = 200_000;
    public static final int MIN_A = 1;
    public static final int MAX_A = 1_000_000_000;

    @Override
    public void validate(ValidatingScanner in) {
        int n = in.nextInt("n", 1, MAX);
        in.eoln();
        for (int i = 0; i < n; i++) {
            in.nextInt("a[" + i + "]", MIN_A, MAX_A);
        }
    }
}
